@import '../../../assets/styles/functions.scss';
@import '../../../assets/styles/mixin.scss';

.subscription-item {
  @include flex(space-around, center, column);
  color: getTextColor(text1);
  background-color: getBgColor(bg7);
  margin-bottom: 18px;

  width: 257px;
  height: 457px;
  padding-bottom: 37px;

  &--active {
    background-color: #463048;
    width: 299px;
    height: 560px;
  }

  &__title {
    @include text(24px, 400, uppercase);
    background-color: getBgColor(bg8);
    padding: 36px 10px;
    width: 100%;
    text-align: center;
    box-sizing: border-box;
  }

  &--active &__title {
    background-color: getBgColor(bg10);
  }

  &__price {
    @include text(60px, 400, uppercase);
    margin-top: 30px;
  }
  &__price-price {
    font-weight: 700;
  }
  &--active &__price {
    font-size: 82px;
    margin-top: 14px;
  }

  &__text {
    @include text(14px, 400, uppercase);
    @include marginVertical(20px, 30px);
  }
  &__text::after {
    content: '';
    display: block;
    width: 60px;
    height: 6px;
    background-color: getBgColor(hr2);
    margin: 38px auto 0;
  }

  &__btn {
    @include text(15px, 400, uppercase);
    background-color: getBgColor(bg9);
    padding: 15px 37px;
  }

  &--active &__btn {
    background-color: getBgColor(bg11);
  }
}
